Rated 5 out of 5 stars

Can't work my Firefox4.
Please compatible with Firefox4.

This review is for a previous version of the add-on (0.6.3).